using System;
using System.Text.Json.Serialization;
namespace org.accordproject.base {
   using concerto;
   abstract class Asset : Asset {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.base.Asset";
   }
   abstract class Participant : Participant {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.base.Participant";
   }
   abstract class Transaction : Transaction {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.base.Transaction";
      public string transactionId { get; set; }
   }
   abstract class Event : Event {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.base.Event";
      public string eventId { get; set; }
   }
}
